Skip navigation
RBD100
Currently Being Moderated

PSE 4 crashes on install on Snow Leopard

Sep 5, 2009 9:52 PM

Has anyone been able to successfully install Photoshop Elements 4 on Mac Snow Leopard? It worked fine on Leopard but won't install on SL. What happens is it seems to install fine but when entering the license number (in the second to last block) the install program crashes completely. This is reproducible. Any suggestions?

 
Replies
  • Currently Being Moderated
    Sep 6, 2009 10:20 AM   in reply to RBD100

    Do you have any other adobe programs on this computer (aside from Reader)?

     
    |
    Mark as:
  • Currently Being Moderated
    Sep 6, 2009 4:59 PM   in reply to RBD100

    Go to hard drive>library>application support>Adobe and remove the Registration Database file you find there. Repair permissions and try again.

     
    |
    Mark as:
  • Currently Being Moderated
    Sep 7, 2009 7:19 PM   in reply to RBD100

    No, I've heard of people who were able to install it. Try deleting everything you can track down (make sure first of all that you were in the correct library folder--I mean the one at the top level of the hard drive, not system>library or your username>library), then create a new administrative user and try the install from there.

     

    You must have rosetta installed, you know. It's not automatic in 10.6--you have to choose to install it.

     
    |
    Mark as:
  • Currently Being Moderated
    Sep 12, 2009 8:20 PM   in reply to RBD100

    I was successfully able to install PSE4 on a almost-new installation of Snow Leopard, but not without difficulty - and my problem was not the same as the original poster's (and I did install Rosetta).

     

    My problem was that entering the serial number somehow did not create the critical document

     

    /Library/Application Support/Adobe/Adobe Registration Database

    or it got created with a file size of 0.

     

    So the installation process finished but the program wouldn't launch (what kind of stupid program doesn't have a way to re-enter your serial number before shutting down!!!)

     

    I dragged a backup copy of the critical file into the correct location, and so far, so good - at least the program has launched several times without crashing.

     
    |
    Mark as:
  • Currently Being Moderated
    Sep 12, 2009 11:19 PM   in reply to hoodsmom

    Interesting. I had that problem with PSE 3 but not PSE 4.

     
    |
    Mark as:
  • Currently Being Moderated
    Sep 20, 2009 1:46 AM   in reply to RBD100

    I can add to the thread above: I upgraded to Snow Leopard on Friday. Ran the latest update and almost ALL applications I use are more unstable under Snow Leopard than under Leopard. Photoshop crashes on saving with regular monotony, even Mac Mail (integrated with OSX-SL by Apple !) crashes regularly.

    It is disgraceful that Apple has released SL without properly testing compatibility. If this were Microsoft with a new version of Windows, the whole world would be chanting for scalps !

    In order to return to normal productivity levels, I have resorted to restoring my system to Leopard.


    I am so totally dissappointed with Apple on this one. Stop the self-congratulatory hype, and get busy fixing these horrors !

     
    |
    Mark as:
  • Currently Being Moderated
    Sep 20, 2009 7:50 AM   in reply to mikemcfad

    If everything is crashing, then your problems are with your system, not with Elements. I'd suggest the apple discussions are the place to post your problems, assuming you do want help and not just to vent.

     

    In the meantime, I'd just restore your system backup. You did make a complete backup before upgrading, right?

     
    |
    Mark as:
  • Currently Being Moderated
    Sep 20, 2009 8:03 AM   in reply to Barbara B.

    I did not say "everything" is crashing; but pretty much all the major Adobe CS4 products are more unstable.

     

    Nope, it's not my system. Especially since I have been using Leopard on my 24" Aluminium iMac for a year with hardly any crash problems.

     

    I post this not just to "vent", but to warn those considering upgrading to SL and who rely heavily on Adobe products (like me) to hold off until Apple / Adobe get the bugs ironed out.

     

    Yes, it is most certainly likely to be an Apple SL problem and not an Elements/Adobe problem. But since it is Adobe users that are being impacted here, I though it a good idea to share my experience here.....? Believe me, I have visited the Apple discussions too and shared my experience; and found many other frustrated Adobe users having a similar problem.

     

    As stated in my first post, I have restored to good old Leopard and thankfully am back to a robust and stable system.

     

    I hope someone on this thread finds my input informative and helpful.

     
    |
    Mark as:
  • Currently Being Moderated
    Sep 20, 2009 8:44 AM   in reply to mikemcfad

    So you aren't even using PSE? Then you should post this in the appropriate forums, not here.

     
    |
    Mark as:
  • Currently Being Moderated
    Sep 20, 2009 8:45 AM   in reply to RBD100

    Adobe is NEVER going to put itself out to make an older unsupported version run on a new OS, I'm afraid.

     
    |
    Mark as:
  • Currently Being Moderated
    Sep 22, 2009 7:56 AM   in reply to mikemcfad

    I have also had trouble with PSE 4 after installing Snow Leopard. My Mac Mini regularly crashes. Just goes straight to a blank blue screen and then restarts. One guaranteed trigger is to try to change or set a font in a text box. Fortunately, my MM restarts a whole lot faster with Snow Leopard, but that's small consolation for not being able to use PSE 4.

    Things I've tried already with no success:

    -Trash the prefs

    -Trash the TWAIN driver

    -repair permissions

    -reinstall Java 1.5.0 (to fix a problem with a different program)

     

    Can anyone give any help?

    Thanks in advance.

     

    PS: BTW Barbara, I posted over on the Apple forums and did the above based on your advice there. I figured this is a better place to continue the troubleshoot.

     
    |
    Mark as:
  • Currently Being Moderated
    Sep 22, 2009 8:24 AM   in reply to Tim Diller

    First try creating a new user and running PSE there. Does it work in the new account?

     

    If it crashes there, I think this sounds like maybe another manifestation of the big font scanning problem in Leopard. I don't think there's an overall solution yet, but some people have had success in going to font book and resolving all duplicate fonts, then checking for older Type 1 fonts and putting those aside. I'd try validating your fonts and resolving duplicates in Fontbook.

     
    |
    Mark as:
  • Currently Being Moderated
    Sep 22, 2009 8:42 AM   in reply to Tim Diller

    Also, when you trashed the prefs, did you get the Opera preferences?

     
    |
    Mark as:
  • Currently Being Moderated
    Sep 22, 2009 8:47 AM   in reply to Barbara B.

    I did trash the Opera preferences as well. I'll have to try the Font Book resolution. I noticed that there were some duplicate fonts, but I'll have to go through and resolve them all. I'll report back tonight after I try this solution.

     
    |
    Mark as:
  • Currently Being Moderated
    Sep 22, 2009 9:28 AM   in reply to Tim Diller

    I would also make sure to try a new user account, just to check if there's some conflict with something else in your existing account.

     
    |
    Mark as:
  • Currently Being Moderated
    Oct 6, 2009 7:48 AM   in reply to hoodsmom

    Thanks fo rthe Adobe Registration Database tip. I found mine. However, it was 4KB and had all the pertinent information.

     

    This is how I "fixed" the problem:

     

    I trashed the Adobe Photoshop Elements 4 application folder.

     

    Logged out.

     

    Logged in.

     

    Reinstalled from the original 4.0 disk (I did not launch PSE after installation)

     

    Downloaded and installed the Adobe Photoshop Elements 4.0.1 updater

     

    Then launched PSE. The send registration screen popped up, I filled it out and PSE launched fine. The updater asked for some other updates like Bridge 1.0 and something else.

     

    I hope this helps!!!

     
    |
    Mark as:
  • Currently Being Moderated
    Oct 6, 2009 7:52 AM   in reply to ericb007man

    Thanks for letting us know what worked for you. Glad you got it running.

     
    |
    Mark as:
  • Currently Being Moderated
    Oct 6, 2009 8:08 AM   in reply to Barbara B.

    Glad I could contribute a solution!

     
    |
    Mark as:

More Like This

  • Retrieving data ...

Bookmarked By (0)